linear-1.23.2: Linear Algebra

Copyright | (C) 2013-2015 Edward Kmett and Anthony Cowley
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Linear.Binary

Description

Serialization of statically-sized types with the Data.Binary library.

Synopsis

- putLinear :: (Binary a, Foldable t) => t a -> Put
- getLinear :: (Binary a, Applicative t, Traversable t) => Get (t a)

# Documentation

putLinear :: (Binary a, Foldable t) => t a -> Put Source #

Serialize a linear type.

getLinear :: (Binary a, Applicative t, Traversable t) => Get (t a) Source #

Deserialize a linear type.